Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network138.4.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
138.4.0.0
Broadcast address
138.7.255.255
First usable
138.4.0.1
Last usable
138.7.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 8A040000 · Integer 2315517952 to 2315780095
Reverse DNS zones
4.138.in-addr.arpa
5.138.in-addr.arpa
6.138.in-addr.arpa
7.138.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001010.00000100.00000000.00000000138.4.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10001010.00000100.00000000.00000000138.4.0.0
Broadcast10001010.00000111.11111111.11111111138.7.255.255
Split into smaller subnets/24

138.4.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1138.4.0.0/24138.4.0.1 to 138.4.0.254138.4.0.255254
2138.4.1.0/24138.4.1.1 to 138.4.1.254138.4.1.255254
3138.4.2.0/24138.4.2.1 to 138.4.2.254138.4.2.255254
4138.4.3.0/24138.4.3.1 to 138.4.3.254138.4.3.255254
5138.4.4.0/24138.4.4.1 to 138.4.4.254138.4.4.255254
6138.4.5.0/24138.4.5.1 to 138.4.5.254138.4.5.255254
7138.4.6.0/24138.4.6.1 to 138.4.6.254138.4.6.255254
8138.4.7.0/24138.4.7.1 to 138.4.7.254138.4.7.255254
9138.4.8.0/24138.4.8.1 to 138.4.8.254138.4.8.255254
10138.4.9.0/24138.4.9.1 to 138.4.9.254138.4.9.255254
11138.4.10.0/24138.4.10.1 to 138.4.10.254138.4.10.255254
12138.4.11.0/24138.4.11.1 to 138.4.11.254138.4.11.255254
13138.4.12.0/24138.4.12.1 to 138.4.12.254138.4.12.255254
14138.4.13.0/24138.4.13.1 to 138.4.13.254138.4.13.255254
15138.4.14.0/24138.4.14.1 to 138.4.14.254138.4.14.255254
16138.4.15.0/24138.4.15.1 to 138.4.15.254138.4.15.255254
17138.4.16.0/24138.4.16.1 to 138.4.16.254138.4.16.255254
18138.4.17.0/24138.4.17.1 to 138.4.17.254138.4.17.255254
19138.4.18.0/24138.4.18.1 to 138.4.18.254138.4.18.255254
20138.4.19.0/24138.4.19.1 to 138.4.19.254138.4.19.255254
21138.4.20.0/24138.4.20.1 to 138.4.20.254138.4.20.255254
22138.4.21.0/24138.4.21.1 to 138.4.21.254138.4.21.255254
23138.4.22.0/24138.4.22.1 to 138.4.22.254138.4.22.255254
24138.4.23.0/24138.4.23.1 to 138.4.23.254138.4.23.255254
25138.4.24.0/24138.4.24.1 to 138.4.24.254138.4.24.255254
26138.4.25.0/24138.4.25.1 to 138.4.25.254138.4.25.255254
27138.4.26.0/24138.4.26.1 to 138.4.26.254138.4.26.255254
28138.4.27.0/24138.4.27.1 to 138.4.27.254138.4.27.255254
29138.4.28.0/24138.4.28.1 to 138.4.28.254138.4.28.255254
30138.4.29.0/24138.4.29.1 to 138.4.29.254138.4.29.255254
31138.4.30.0/24138.4.30.1 to 138.4.30.254138.4.30.255254
32138.4.31.0/24138.4.31.1 to 138.4.31.254138.4.31.255254
33138.4.32.0/24138.4.32.1 to 138.4.32.254138.4.32.255254
34138.4.33.0/24138.4.33.1 to 138.4.33.254138.4.33.255254
35138.4.34.0/24138.4.34.1 to 138.4.34.254138.4.34.255254
36138.4.35.0/24138.4.35.1 to 138.4.35.254138.4.35.255254
37138.4.36.0/24138.4.36.1 to 138.4.36.254138.4.36.255254
38138.4.37.0/24138.4.37.1 to 138.4.37.254138.4.37.255254
39138.4.38.0/24138.4.38.1 to 138.4.38.254138.4.38.255254
40138.4.39.0/24138.4.39.1 to 138.4.39.254138.4.39.255254
41138.4.40.0/24138.4.40.1 to 138.4.40.254138.4.40.255254
42138.4.41.0/24138.4.41.1 to 138.4.41.254138.4.41.255254
43138.4.42.0/24138.4.42.1 to 138.4.42.254138.4.42.255254
44138.4.43.0/24138.4.43.1 to 138.4.43.254138.4.43.255254
45138.4.44.0/24138.4.44.1 to 138.4.44.254138.4.44.255254
46138.4.45.0/24138.4.45.1 to 138.4.45.254138.4.45.255254
47138.4.46.0/24138.4.46.1 to 138.4.46.254138.4.46.255254
48138.4.47.0/24138.4.47.1 to 138.4.47.254138.4.47.255254
49138.4.48.0/24138.4.48.1 to 138.4.48.254138.4.48.255254
50138.4.49.0/24138.4.49.1 to 138.4.49.254138.4.49.255254
51138.4.50.0/24138.4.50.1 to 138.4.50.254138.4.50.255254
52138.4.51.0/24138.4.51.1 to 138.4.51.254138.4.51.255254
53138.4.52.0/24138.4.52.1 to 138.4.52.254138.4.52.255254
54138.4.53.0/24138.4.53.1 to 138.4.53.254138.4.53.255254
55138.4.54.0/24138.4.54.1 to 138.4.54.254138.4.54.255254
56138.4.55.0/24138.4.55.1 to 138.4.55.254138.4.55.255254
57138.4.56.0/24138.4.56.1 to 138.4.56.254138.4.56.255254
58138.4.57.0/24138.4.57.1 to 138.4.57.254138.4.57.255254
59138.4.58.0/24138.4.58.1 to 138.4.58.254138.4.58.255254
60138.4.59.0/24138.4.59.1 to 138.4.59.254138.4.59.255254
61138.4.60.0/24138.4.60.1 to 138.4.60.254138.4.60.255254
62138.4.61.0/24138.4.61.1 to 138.4.61.254138.4.61.255254
63138.4.62.0/24138.4.62.1 to 138.4.62.254138.4.62.255254
64138.4.63.0/24138.4.63.1 to 138.4.63.254138.4.63.255254
65138.4.64.0/24138.4.64.1 to 138.4.64.254138.4.64.255254
66138.4.65.0/24138.4.65.1 to 138.4.65.254138.4.65.255254
67138.4.66.0/24138.4.66.1 to 138.4.66.254138.4.66.255254
68138.4.67.0/24138.4.67.1 to 138.4.67.254138.4.67.255254
69138.4.68.0/24138.4.68.1 to 138.4.68.254138.4.68.255254
70138.4.69.0/24138.4.69.1 to 138.4.69.254138.4.69.255254
71138.4.70.0/24138.4.70.1 to 138.4.70.254138.4.70.255254
72138.4.71.0/24138.4.71.1 to 138.4.71.254138.4.71.255254
73138.4.72.0/24138.4.72.1 to 138.4.72.254138.4.72.255254
74138.4.73.0/24138.4.73.1 to 138.4.73.254138.4.73.255254
75138.4.74.0/24138.4.74.1 to 138.4.74.254138.4.74.255254
76138.4.75.0/24138.4.75.1 to 138.4.75.254138.4.75.255254
77138.4.76.0/24138.4.76.1 to 138.4.76.254138.4.76.255254
78138.4.77.0/24138.4.77.1 to 138.4.77.254138.4.77.255254
79138.4.78.0/24138.4.78.1 to 138.4.78.254138.4.78.255254
80138.4.79.0/24138.4.79.1 to 138.4.79.254138.4.79.255254
81138.4.80.0/24138.4.80.1 to 138.4.80.254138.4.80.255254
82138.4.81.0/24138.4.81.1 to 138.4.81.254138.4.81.255254
83138.4.82.0/24138.4.82.1 to 138.4.82.254138.4.82.255254
84138.4.83.0/24138.4.83.1 to 138.4.83.254138.4.83.255254
85138.4.84.0/24138.4.84.1 to 138.4.84.254138.4.84.255254
86138.4.85.0/24138.4.85.1 to 138.4.85.254138.4.85.255254
87138.4.86.0/24138.4.86.1 to 138.4.86.254138.4.86.255254
88138.4.87.0/24138.4.87.1 to 138.4.87.254138.4.87.255254
89138.4.88.0/24138.4.88.1 to 138.4.88.254138.4.88.255254
90138.4.89.0/24138.4.89.1 to 138.4.89.254138.4.89.255254
91138.4.90.0/24138.4.90.1 to 138.4.90.254138.4.90.255254
92138.4.91.0/24138.4.91.1 to 138.4.91.254138.4.91.255254
93138.4.92.0/24138.4.92.1 to 138.4.92.254138.4.92.255254
94138.4.93.0/24138.4.93.1 to 138.4.93.254138.4.93.255254
95138.4.94.0/24138.4.94.1 to 138.4.94.254138.4.94.255254
96138.4.95.0/24138.4.95.1 to 138.4.95.254138.4.95.255254
97138.4.96.0/24138.4.96.1 to 138.4.96.254138.4.96.255254
98138.4.97.0/24138.4.97.1 to 138.4.97.254138.4.97.255254
99138.4.98.0/24138.4.98.1 to 138.4.98.254138.4.98.255254
100138.4.99.0/24138.4.99.1 to 138.4.99.254138.4.99.255254
101138.4.100.0/24138.4.100.1 to 138.4.100.254138.4.100.255254
102138.4.101.0/24138.4.101.1 to 138.4.101.254138.4.101.255254
103138.4.102.0/24138.4.102.1 to 138.4.102.254138.4.102.255254
104138.4.103.0/24138.4.103.1 to 138.4.103.254138.4.103.255254
105138.4.104.0/24138.4.104.1 to 138.4.104.254138.4.104.255254
106138.4.105.0/24138.4.105.1 to 138.4.105.254138.4.105.255254
107138.4.106.0/24138.4.106.1 to 138.4.106.254138.4.106.255254
108138.4.107.0/24138.4.107.1 to 138.4.107.254138.4.107.255254
109138.4.108.0/24138.4.108.1 to 138.4.108.254138.4.108.255254
110138.4.109.0/24138.4.109.1 to 138.4.109.254138.4.109.255254
111138.4.110.0/24138.4.110.1 to 138.4.110.254138.4.110.255254
112138.4.111.0/24138.4.111.1 to 138.4.111.254138.4.111.255254
113138.4.112.0/24138.4.112.1 to 138.4.112.254138.4.112.255254
114138.4.113.0/24138.4.113.1 to 138.4.113.254138.4.113.255254
115138.4.114.0/24138.4.114.1 to 138.4.114.254138.4.114.255254
116138.4.115.0/24138.4.115.1 to 138.4.115.254138.4.115.255254
117138.4.116.0/24138.4.116.1 to 138.4.116.254138.4.116.255254
118138.4.117.0/24138.4.117.1 to 138.4.117.254138.4.117.255254
119138.4.118.0/24138.4.118.1 to 138.4.118.254138.4.118.255254
120138.4.119.0/24138.4.119.1 to 138.4.119.254138.4.119.255254
121138.4.120.0/24138.4.120.1 to 138.4.120.254138.4.120.255254
122138.4.121.0/24138.4.121.1 to 138.4.121.254138.4.121.255254
123138.4.122.0/24138.4.122.1 to 138.4.122.254138.4.122.255254
124138.4.123.0/24138.4.123.1 to 138.4.123.254138.4.123.255254
125138.4.124.0/24138.4.124.1 to 138.4.124.254138.4.124.255254
126138.4.125.0/24138.4.125.1 to 138.4.125.254138.4.125.255254
127138.4.126.0/24138.4.126.1 to 138.4.126.254138.4.126.255254
128138.4.127.0/24138.4.127.1 to 138.4.127.254138.4.127.255254
129138.4.128.0/24138.4.128.1 to 138.4.128.254138.4.128.255254
130138.4.129.0/24138.4.129.1 to 138.4.129.254138.4.129.255254
131138.4.130.0/24138.4.130.1 to 138.4.130.254138.4.130.255254
132138.4.131.0/24138.4.131.1 to 138.4.131.254138.4.131.255254
133138.4.132.0/24138.4.132.1 to 138.4.132.254138.4.132.255254
134138.4.133.0/24138.4.133.1 to 138.4.133.254138.4.133.255254
135138.4.134.0/24138.4.134.1 to 138.4.134.254138.4.134.255254
136138.4.135.0/24138.4.135.1 to 138.4.135.254138.4.135.255254
137138.4.136.0/24138.4.136.1 to 138.4.136.254138.4.136.255254
138138.4.137.0/24138.4.137.1 to 138.4.137.254138.4.137.255254
139138.4.138.0/24138.4.138.1 to 138.4.138.254138.4.138.255254
140138.4.139.0/24138.4.139.1 to 138.4.139.254138.4.139.255254
141138.4.140.0/24138.4.140.1 to 138.4.140.254138.4.140.255254
142138.4.141.0/24138.4.141.1 to 138.4.141.254138.4.141.255254
143138.4.142.0/24138.4.142.1 to 138.4.142.254138.4.142.255254
144138.4.143.0/24138.4.143.1 to 138.4.143.254138.4.143.255254
145138.4.144.0/24138.4.144.1 to 138.4.144.254138.4.144.255254
146138.4.145.0/24138.4.145.1 to 138.4.145.254138.4.145.255254
147138.4.146.0/24138.4.146.1 to 138.4.146.254138.4.146.255254
148138.4.147.0/24138.4.147.1 to 138.4.147.254138.4.147.255254
149138.4.148.0/24138.4.148.1 to 138.4.148.254138.4.148.255254
150138.4.149.0/24138.4.149.1 to 138.4.149.254138.4.149.255254
151138.4.150.0/24138.4.150.1 to 138.4.150.254138.4.150.255254
152138.4.151.0/24138.4.151.1 to 138.4.151.254138.4.151.255254
153138.4.152.0/24138.4.152.1 to 138.4.152.254138.4.152.255254
154138.4.153.0/24138.4.153.1 to 138.4.153.254138.4.153.255254
155138.4.154.0/24138.4.154.1 to 138.4.154.254138.4.154.255254
156138.4.155.0/24138.4.155.1 to 138.4.155.254138.4.155.255254
157138.4.156.0/24138.4.156.1 to 138.4.156.254138.4.156.255254
158138.4.157.0/24138.4.157.1 to 138.4.157.254138.4.157.255254
159138.4.158.0/24138.4.158.1 to 138.4.158.254138.4.158.255254
160138.4.159.0/24138.4.159.1 to 138.4.159.254138.4.159.255254
161138.4.160.0/24138.4.160.1 to 138.4.160.254138.4.160.255254
162138.4.161.0/24138.4.161.1 to 138.4.161.254138.4.161.255254
163138.4.162.0/24138.4.162.1 to 138.4.162.254138.4.162.255254
164138.4.163.0/24138.4.163.1 to 138.4.163.254138.4.163.255254
165138.4.164.0/24138.4.164.1 to 138.4.164.254138.4.164.255254
166138.4.165.0/24138.4.165.1 to 138.4.165.254138.4.165.255254
167138.4.166.0/24138.4.166.1 to 138.4.166.254138.4.166.255254
168138.4.167.0/24138.4.167.1 to 138.4.167.254138.4.167.255254
169138.4.168.0/24138.4.168.1 to 138.4.168.254138.4.168.255254
170138.4.169.0/24138.4.169.1 to 138.4.169.254138.4.169.255254
171138.4.170.0/24138.4.170.1 to 138.4.170.254138.4.170.255254
172138.4.171.0/24138.4.171.1 to 138.4.171.254138.4.171.255254
173138.4.172.0/24138.4.172.1 to 138.4.172.254138.4.172.255254
174138.4.173.0/24138.4.173.1 to 138.4.173.254138.4.173.255254
175138.4.174.0/24138.4.174.1 to 138.4.174.254138.4.174.255254
176138.4.175.0/24138.4.175.1 to 138.4.175.254138.4.175.255254
177138.4.176.0/24138.4.176.1 to 138.4.176.254138.4.176.255254
178138.4.177.0/24138.4.177.1 to 138.4.177.254138.4.177.255254
179138.4.178.0/24138.4.178.1 to 138.4.178.254138.4.178.255254
180138.4.179.0/24138.4.179.1 to 138.4.179.254138.4.179.255254
181138.4.180.0/24138.4.180.1 to 138.4.180.254138.4.180.255254
182138.4.181.0/24138.4.181.1 to 138.4.181.254138.4.181.255254
183138.4.182.0/24138.4.182.1 to 138.4.182.254138.4.182.255254
184138.4.183.0/24138.4.183.1 to 138.4.183.254138.4.183.255254
185138.4.184.0/24138.4.184.1 to 138.4.184.254138.4.184.255254
186138.4.185.0/24138.4.185.1 to 138.4.185.254138.4.185.255254
187138.4.186.0/24138.4.186.1 to 138.4.186.254138.4.186.255254
188138.4.187.0/24138.4.187.1 to 138.4.187.254138.4.187.255254
189138.4.188.0/24138.4.188.1 to 138.4.188.254138.4.188.255254
190138.4.189.0/24138.4.189.1 to 138.4.189.254138.4.189.255254
191138.4.190.0/24138.4.190.1 to 138.4.190.254138.4.190.255254
192138.4.191.0/24138.4.191.1 to 138.4.191.254138.4.191.255254
193138.4.192.0/24138.4.192.1 to 138.4.192.254138.4.192.255254
194138.4.193.0/24138.4.193.1 to 138.4.193.254138.4.193.255254
195138.4.194.0/24138.4.194.1 to 138.4.194.254138.4.194.255254
196138.4.195.0/24138.4.195.1 to 138.4.195.254138.4.195.255254
197138.4.196.0/24138.4.196.1 to 138.4.196.254138.4.196.255254
198138.4.197.0/24138.4.197.1 to 138.4.197.254138.4.197.255254
199138.4.198.0/24138.4.198.1 to 138.4.198.254138.4.198.255254
200138.4.199.0/24138.4.199.1 to 138.4.199.254138.4.199.255254
201138.4.200.0/24138.4.200.1 to 138.4.200.254138.4.200.255254
202138.4.201.0/24138.4.201.1 to 138.4.201.254138.4.201.255254
203138.4.202.0/24138.4.202.1 to 138.4.202.254138.4.202.255254
204138.4.203.0/24138.4.203.1 to 138.4.203.254138.4.203.255254
205138.4.204.0/24138.4.204.1 to 138.4.204.254138.4.204.255254
206138.4.205.0/24138.4.205.1 to 138.4.205.254138.4.205.255254
207138.4.206.0/24138.4.206.1 to 138.4.206.254138.4.206.255254
208138.4.207.0/24138.4.207.1 to 138.4.207.254138.4.207.255254
209138.4.208.0/24138.4.208.1 to 138.4.208.254138.4.208.255254
210138.4.209.0/24138.4.209.1 to 138.4.209.254138.4.209.255254
211138.4.210.0/24138.4.210.1 to 138.4.210.254138.4.210.255254
212138.4.211.0/24138.4.211.1 to 138.4.211.254138.4.211.255254
213138.4.212.0/24138.4.212.1 to 138.4.212.254138.4.212.255254
214138.4.213.0/24138.4.213.1 to 138.4.213.254138.4.213.255254
215138.4.214.0/24138.4.214.1 to 138.4.214.254138.4.214.255254
216138.4.215.0/24138.4.215.1 to 138.4.215.254138.4.215.255254
217138.4.216.0/24138.4.216.1 to 138.4.216.254138.4.216.255254
218138.4.217.0/24138.4.217.1 to 138.4.217.254138.4.217.255254
219138.4.218.0/24138.4.218.1 to 138.4.218.254138.4.218.255254
220138.4.219.0/24138.4.219.1 to 138.4.219.254138.4.219.255254
221138.4.220.0/24138.4.220.1 to 138.4.220.254138.4.220.255254
222138.4.221.0/24138.4.221.1 to 138.4.221.254138.4.221.255254
223138.4.222.0/24138.4.222.1 to 138.4.222.254138.4.222.255254
224138.4.223.0/24138.4.223.1 to 138.4.223.254138.4.223.255254
225138.4.224.0/24138.4.224.1 to 138.4.224.254138.4.224.255254
226138.4.225.0/24138.4.225.1 to 138.4.225.254138.4.225.255254
227138.4.226.0/24138.4.226.1 to 138.4.226.254138.4.226.255254
228138.4.227.0/24138.4.227.1 to 138.4.227.254138.4.227.255254
229138.4.228.0/24138.4.228.1 to 138.4.228.254138.4.228.255254
230138.4.229.0/24138.4.229.1 to 138.4.229.254138.4.229.255254
231138.4.230.0/24138.4.230.1 to 138.4.230.254138.4.230.255254
232138.4.231.0/24138.4.231.1 to 138.4.231.254138.4.231.255254
233138.4.232.0/24138.4.232.1 to 138.4.232.254138.4.232.255254
234138.4.233.0/24138.4.233.1 to 138.4.233.254138.4.233.255254
235138.4.234.0/24138.4.234.1 to 138.4.234.254138.4.234.255254
236138.4.235.0/24138.4.235.1 to 138.4.235.254138.4.235.255254
237138.4.236.0/24138.4.236.1 to 138.4.236.254138.4.236.255254
238138.4.237.0/24138.4.237.1 to 138.4.237.254138.4.237.255254
239138.4.238.0/24138.4.238.1 to 138.4.238.254138.4.238.255254
240138.4.239.0/24138.4.239.1 to 138.4.239.254138.4.239.255254
241138.4.240.0/24138.4.240.1 to 138.4.240.254138.4.240.255254
242138.4.241.0/24138.4.241.1 to 138.4.241.254138.4.241.255254
243138.4.242.0/24138.4.242.1 to 138.4.242.254138.4.242.255254
244138.4.243.0/24138.4.243.1 to 138.4.243.254138.4.243.255254
245138.4.244.0/24138.4.244.1 to 138.4.244.254138.4.244.255254
246138.4.245.0/24138.4.245.1 to 138.4.245.254138.4.245.255254
247138.4.246.0/24138.4.246.1 to 138.4.246.254138.4.246.255254
248138.4.247.0/24138.4.247.1 to 138.4.247.254138.4.247.255254
249138.4.248.0/24138.4.248.1 to 138.4.248.254138.4.248.255254
250138.4.249.0/24138.4.249.1 to 138.4.249.254138.4.249.255254
251138.4.250.0/24138.4.250.1 to 138.4.250.254138.4.250.255254
252138.4.251.0/24138.4.251.1 to 138.4.251.254138.4.251.255254
253138.4.252.0/24138.4.252.1 to 138.4.252.254138.4.252.255254
254138.4.253.0/24138.4.253.1 to 138.4.253.254138.4.253.255254
255138.4.254.0/24138.4.254.1 to 138.4.254.254138.4.254.255254
256138.4.255.0/24138.4.255.1 to 138.4.255.254138.4.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses